## i-cal-mime

i-cal-mime

## Functions

gchar * | (*ICalMimeParseFunc) ()
ICalComponent * | i_cal_mime_parse ()

## Description

## Functions

### ICalMimeParseFunc ()

    gchar *
    (*ICalMimeParseFunc) (gchar *bytes,
                          size_t size,
                          gpointer user_data);

#### Parameters

bytes | the bytes to process. | [array length=size][element-type gchar]
size | the length of the bytes array |
user_data | the user data |

#### Returns

A ICalComponent as a string

### i_cal_mime_parse ()

    ICalComponent *
    i_cal_mime_parse (ICalMimeParseFunc func,
                      gpointer user_data);

Parses data to ICalComponent using the given function.

#### Parameters

func | The parsing function. | [scope call]
user_data | The date given to `func` . | [closure]

#### Returns

The parsed ICalComponent.

[transfer full]

Since: 1.0